OrcMapreduceRecordReader (ORC MapReduce 1.6.6 API)
Date: 2021-01-13

org.apache.orc.mapreduce

## Class OrcMapreduceRecordReader<V extends WritableComparable>

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<NullWritable,V>
  - - org.apache.orc.mapreduce.OrcMapreduceRecordReader<V>

- Type Parameters:
    `V` - the root type of the file
  All Implemented Interfaces:
    Closeable, AutoCloseable

      public class OrcMapreduceRecordReader<V extends WritableComparable>
      extends RecordReader<NullWritable,V>

  This record reader implements the org.apache.hadoop.mapreduce API. It is in the org.apache.orc.mapred package to share implementation with the mapred API record reader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcMapreduceRecordReader(Reader fileReader, Reader.Options options)`
    `OrcMapreduceRecordReader(RecordReader reader, TypeDescription schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `NullWritable` | `getCurrentKey()`
    `V` | `getCurrentValue()`
    `float` | `getProgress()`
    `void` | `initialize(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`
    `boolean` | `nextKeyValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcMapreduceRecordReader

          public OrcMapreduceRecordReader(RecordReader reader,
                                          TypeDescription schema)
                                   throws IOException

      Throws:
        `IOException`

    - #### OrcMapreduceRecordReader

          public OrcMapreduceRecordReader(Reader fileReader,
                                          Reader.Options options)
                                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

    - #### initialize

          public void initialize(InputSplit inputSplit,
                                 TaskAttemptContext taskAttemptContext)

      Specified by:
        `initialize` in class `RecordReader<NullWritable,V extends WritableComparable>`

    - #### nextKeyValue

          public boolean nextKeyValue()
                               throws IOException,
                                      InterruptedException

      Specified by:
        `nextKeyValue` in class `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### getCurrentKey

          public NullWritable getCurrentKey()
                                     throws IOException,
                                            InterruptedException

      Specified by:
        `getCurrentKey` in class `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### getCurrentValue

          public V getCurrentValue()
                            throws IOException,
                                   InterruptedException

      Specified by:
        `getCurrentValue` in class `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### getProgress

          public float getProgress()
                            throws IOException

      Specified by:
        `getProgress` in class `RecordReader<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.